<section
  class="section mailchimpblock-mod {{classes}}"
  data-ng-if="mailchimpBlock.action && mailchimpBlock.user && mailchimpBlock.list"
>

  <header class="section-header" data-ng-if="mailchimpBlock.title">
    <div data-ng-class="{container: layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <h2 class="section-title" data-ng-bind-html="mailchimpBlock.title|sanitize"></h2>
        </div>
      </div>
    </div>
  </header>

  <div class="section-main" data-ng-if="layout == 'full' && mailchimpBlock.body">
    <div class="container">
      <div class="row">
        <div class="col-md-6 align-left">
          <div data-ng-bind-html="mailchimpBlock.body|sanitize"></div>
        </div>
        <div class="col-md-6">
          <article class="newsletter" data-ng-if="mailchimpBlock.action">
            <div class="newsletter-main">
              <form class="form newsletter-form" action="https://uwaterloo.us11.list-manage.com/subscribe/post" method="POST">
              <input type="hidden" name="u" value="{{mailchimpBlock.user}}">
              <input type="hidden" name="id" value="{{mailchimpBlock.list}}">
              <input type="hidden" name="MERGE2" value="Yes">
              <input type="hidden" name="MERGE1" value="">
                <div class="form-group newsletter-input">
                  <label for="email-{{newsletterId}}" class="sr-only">Email Address</label>
                  <input name="MERGE0" type="email" class="form-control" id="email-{{::newsletterId}}" placeholder="Your email address">
                </div>
                <button type="submit" class="btn btn-primary btn-block newsletter-button">{{mailchimpBlock.submit_text || "Subscribe"}}</button>
              </form>
            </div>
          </article>
        </div>
      </div>
    </div>
  </div>

  <div class="section-main" data-ng-if="layout != 'full' || !mailchimpBlock.body">
    <div data-ng-class="{container: layout == 'full'}">
      <div class="row" data-ng-if="mailchimpBlock.body">
        <div class="col-sm-12">
          <div data-ng-bind-html="mailchimpBlock.body|sanitize"></div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12">
          <article class="newsletter" data-ng-if="mailchimpBlock.action">
            <div class="newsletter-main">
              <form class="form newsletter-form" action="https://uwaterloo.us11.list-manage.com/subscribe/post" method="POST">
              <input type="hidden" name="u" value="{{mailchimpBlock.user}}">
              <input type="hidden" name="id" value="{{mailchimpBlock.list}}">
              <input type="hidden" name="MERGE2" value="Yes">
              <input type="hidden" name="MERGE1" value="">
                <div class="form-group newsletter-input">
                  <label for="email-{{newsletterId}}" class="sr-only">Email Address</label>
                  <input name="MERGE0" type="email" class="form-control" id="email-{{::newsletterId}}" placeholder="Your email address">
                </div>
                <button type="submit" class="btn btn-primary btn-block newsletter-button">{{mailchimpBlock.submit_text || "Subscribe"}}</button>
              </form>
            </div>
          </article>
        </div>
      </div>
    </div>
  </div>

</section>
